summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorCaleb Tennis <caleb@gentoo.org>2007-12-21 21:10:34 +0000
committerCaleb Tennis <caleb@gentoo.org>2007-12-21 21:10:34 +0000
commite7b892719eef367b0f55c41aa3d5fb7096ed07d7 (patch)
treeab33178cf324cddd6ff0b4294b220521c13986d3 /eclass
parentA little cleaner on the packages (diff)
downloadgentoo-2-e7b892719eef367b0f55c41aa3d5fb7096ed07d7.tar.gz
gentoo-2-e7b892719eef367b0f55c41aa3d5fb7096ed07d7.tar.bz2
gentoo-2-e7b892719eef367b0f55c41aa3d5fb7096ed07d7.zip
Use the local qmake and not the one on the file system, because if we're building qt-core there may not be one on the filesystem yet
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt4-build.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/qt4-build.eclass b/eclass/qt4-build.eclass
index bb129bb924a3..d41bb11f8bda 100644
--- a/eclass/qt4-build.eclass
+++ b/eclass/qt4-build.eclass
@@ -1,6 +1,6 @@
# Copyright 2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.1 2007/12/21 16:11:18 caleb Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build.eclass,v 1.2 2007/12/21 21:10:34 caleb Exp $
# @ECLASS: qt4-build.eclass
# @MAINTAINER:
@@ -79,7 +79,7 @@ build_directories() {
local dirs="$@"
for x in ${dirs}; do
cd "${S}"/${x}
- qmake "LIBS+=-L${QTLIBDIR}" && emake || die
+ "${S}"/bin/qmake "LIBS+=-L${QTLIBDIR}" && emake || die
done
}